Delete Task
DELETEhttps://api.confident-ai.com/v2/annotation-queues/{annotationQueueId}/queue-ingestion-tasks/{queueIngestionTaskId}
Permanently deletes an ingestion task, so it stops filling the queue. Items it already queued are kept.
curl -X DELETE "https://api.confident-ai.com/v2/annotation-queues/{annotationQueueId}/queue-ingestion-tasks/{queueIngestionTaskId}" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"{
"success": true,
"data": {
"id": "<QUEUE-INGESTION-TASK-ID>"
},
"deprecated": false
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Path parameters
annotationQueueIdstringRequiredThe id of the annotation queue the task fills.
queueIngestionTaskIdstringRequiredThe id of the queue ingestion task.
Response
Delete Task succeeded.
successbooleanIndicates if the request was successful.
dataobjectA reference to a queue ingestion task by its id.
Show 1 propertyHide 1 property
idstringThe id of the task, generated by Confident AI.
deprecatedbooleanIndicates if this endpoint is deprecated.